For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
GuidesAPI Reference
GuidesAPI Reference
  • Endpoints
      • GETTab counts for the loads list
      • GETGet calls for a load
      • GETGet failed carrier verifications for a load
      • GETGet active escalations for a load
      • GETList webhook endpoints
      • POSTRegister a webhook endpoint
      • GETGet a webhook endpoint
      • DELDelete a webhook endpoint
      • PATCHUpdate a webhook endpoint
      • POSTRotate the signing secret
      • GETList delivery attempts for an endpoint
      • GETList attempts for a logical message
      • POSTReplay a delivery
      • GETList subscribable event types
LogoLogo
SupportDashboard
EndpointsAPI

Delete a webhook endpoint

DELETE
/webhooks/endpoints/:endpoint_id
DELETE
/api/v1/webhooks/endpoints/:endpoint_id
$curl -X DELETE https://tryenvoy.ai/api/v1/webhooks/endpoints/endpoint_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{}

Cascades to attached secrets and delivery attempts.

Authentication: Supports API key and bearer token authentication.

Was this page helpful?
Previous

Update a webhook endpoint

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

endpoint_idstringRequiredformat: "uuid"

Headers

X-Organization-IDstring or nullOptional

Response

Successful Response

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error